# Submit Port Request

## GET or POST Request <a href="#get-or-post-request" id="get-or-post-request"></a>

{% hint style="info" %}
<https://v1.api19.com/lnp/portability/submit>
{% endhint %}

Send us a GET or POST request with your key and the numbers to validate.

You will need to include signature. We support signature-pad, data available:\
<https://pastebin.com/C44SRf7h>

We will validate the numbers and reply with all numbers are valid or errors, or reply with status ok and the port order id.

<table data-header-hidden><thead><tr><th width="177.54541015625"></th><th width="136.72723388671875"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Required</td><td>Type</td></tr><tr><td>numbers</td><td>yes</td><td>comma list of numbers</td></tr><tr><td>key</td><td>yes</td><td>api key</td></tr><tr><td>portname</td><td>yes</td><td>internal port name</td></tr><tr><td>businessname</td><td>no</td><td>name of business</td></tr><tr><td>firstname</td><td>yes</td><td>first name contact information</td></tr><tr><td>lastname</td><td>yes</td><td>last name of contact information</td></tr><tr><td>address1</td><td>yes</td><td>12 s main street</td></tr><tr><td>address2</td><td>no</td><td>na</td></tr><tr><td>city</td><td>yes</td><td>city</td></tr><tr><td>state</td><td>yes</td><td>state</td></tr><tr><td>zip</td><td>yes</td><td>zip code</td></tr><tr><td>call_flow</td><td>no</td><td>call flow id number</td></tr><tr><td>signature</td><td>no</td><td>signature base64 or no</td></tr><tr><td>requested_due_date</td><td>yes</td><td>04/09/24</td></tr><tr><td>btn</td><td>yes</td><td>billing telephone number</td></tr><tr><td>account_number</td><td>yes</td><td>numbers account number</td></tr><tr><td>pin</td><td>no</td><td>porting pin</td></tr></tbody></table>

{% tabs %}
{% tab title="Curl Post" %}

```php
curl -X POST https://v1.api19.com/lnp/portability/submit \
 -d "numbers=3038821111,3035551212,3332221111" \
 -d 'key=your-key' \
 -d 'portname=internal port name' \
 -d 'businessname=businessname' \
 -d 'firstname=firstname' \
 -d 'lastname=lastname' \
 -d 'address1=address1' \
 -d 'address2=address2' \
 -d 'city=city' \
 -d 'state=state' \
 -d 'zip=zip' \
 -d 'call_flow=call_flow_id' \
 -d 'numbers=numbers' \
 -d 'signature=no' \
 -d 'requested_due_date=04/09/2024' \
 -d 'btn=btn' \
 -d 'account_number=account_number' \
 -d 'pin=pin'
```

{% endtab %}

{% tab title="JSON Response" %}

```php
{
  "status": "ok",
  "order_id": 181182
}

OR

{
  "status": "error",
  "error": "companyname is blank, please correct"
}

OR

{
  "status": "error",
  "error": "Signature is blank, try again",
  "verbose": ""
}

OR

{
  "status": "error",
  "error": "ratecenter DIR ASST in state CO is not supported on DID 3035551212",
  "verbose": ""
}

OR

{
  "status": "error",
  "error": "cant create LNP request, error exception",
  "verbose": ""
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/number-portability/submit-port-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
